Bug 190700 - [MAINTAINER] devel/gdb update to 7.7.1
[MAINTAINER] devel/gdb update to 7.7.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Many People
Assigned To: Tijl Coosemans
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-06 10:18 UTC by luca.pizzamiglio
Modified: 2014-06-10 11:41 UTC (History)
2 users (show)

See Also:


Attachments
The patch to update devel/gdb (13.17 KB, patch)
2014-06-06 10:18 UTC, luca.pizzamiglio
luca.pizzamiglio: maintainer‑approval+
Details | Diff
Reloading the path to update devel/gdb (28.52 KB, patch)
2014-06-10 08:31 UTC, luca.pizzamiglio
luca.pizzamiglio: maintainer‑approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description luca.pizzamiglio 2014-06-06 10:18:12 UTC
Created attachment 143442 [details]
The patch to update devel/gdb

Updating the port devel/gdb to the version 7.7.1

Moreover, this patch fix the support of BSD libiconv provided by FreeBSD 10 (patch provided by Tijl Coosemans)
Comment 1 Tijl Coosemans freebsd_committer 2014-06-08 10:56:07 UTC
Can you reupload the patch?  The current patch is just garbled data.  It is also smaller than what you had sent me before.
Comment 2 luca.pizzamiglio 2014-06-10 08:31:13 UTC
Created attachment 143606 [details]
Reloading the path to update devel/gdb
Comment 3 commit-hook freebsd_committer 2014-06-10 11:40:12 UTC
A commit references this bug:

Author: tijl
Date: Tue Jun 10 11:39:31 UTC 2014
New revision: 357297
URL: http://svnweb.freebsd.org/changeset/ports/357297

Log:
  - Update to version 7.7.1.
  - Fix a problem on FreeBSD 10+ with converters/libiconv installed.  GDB
    could not print string variables then.

  PR:		190700
  Submitted by:	luca.pizzamiglio@gmail.com (maintainer)

Changes:
  head/devel/gdb/Makefile
  head/devel/gdb/distinfo
  head/devel/gdb/files/extrapatch-gdb-Makefile.in
  head/devel/gdb/files/fbsd-threads.c
  head/devel/gdb/files/patch-bfd-coffcode.h
  head/devel/gdb/files/patch-bfd-ecoff.c
  head/devel/gdb/files/patch-bfd-elf32-hppa.c
  head/devel/gdb/files/patch-bfd-elf32-m32r.c
  head/devel/gdb/files/patch-bfd-elf32-nds32.c
  head/devel/gdb/files/patch-bfd-elf32-tic6x.c
  head/devel/gdb/files/patch-bfd-elf32-v850.c
  head/devel/gdb/files/patch-bfd-elf64-alpha.c
  head/devel/gdb/files/patch-bfd-elfnn-ia64.c
  head/devel/gdb/files/patch-bfd-elfxx-mips.c
  head/devel/gdb/files/patch-bfd-elfxx-tilegx.c
  head/devel/gdb/files/patch-bfd-mach-o.c
  head/devel/gdb/files/patch-bfd-mmo.c
  head/devel/gdb/files/patch-bfd-opncls.c
  head/devel/gdb/files/patch-bfd-peicode.h
  head/devel/gdb/files/patch-bfd-vms-alpha.c
  head/devel/gdb/files/patch-bfd-xcofflink.c
  head/devel/gdb/files/patch-gdb-amd64bsd-nat.c
  head/devel/gdb/files/patch-gdb-gdb_wchar.h
  head/devel/gdb/files/patch-include-cgen-basic-ops.h
  head/devel/gdb/files/patch-opcodes-i386-dis.c
  head/devel/gdb/files/patch-opcodes-ia64-asmtab.c
  head/devel/gdb/files/patch-opcodes-rl78-dis.c
  head/devel/gdb/files/patch-opcodes-v850-dis.c
  head/devel/gdb/pkg-plist
Comment 4 Tijl Coosemans freebsd_committer 2014-06-10 11:41:45 UTC
Committed in r357297.